with GNATCOM.Dispinterface;

package MSHTML.IHTMLControlElement_Object is

   type IHTMLControlElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_tabIndex
     (This : IHTMLControlElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_tabIndex
     (This : IHTMLControlElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure focus
     (This : IHTMLControlElement_Type);

   procedure Put_accessKey
     (This : IHTMLControlElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_accessKey
     (This : IHTMLControlElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onblur
     (This : IHTMLControlElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onblur
     (This : IHTMLControlElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onfocus
     (This : IHTMLControlElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onfocus
     (This : IHTMLControlElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onresize
     (This : IHTMLControlElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onresize
     (This : IHTMLControlElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure blur
     (This : IHTMLControlElement_Type);

   procedure addFilter
     (This : IHTMLControlElement_Type;
      pUnk : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   procedure removeFilter
     (This : IHTMLControlElement_Type;
      pUnk : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_clientHeight
     (This : IHTMLControlElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clientWidth
     (This : IHTMLControlElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clientTop
     (This : IHTMLControlElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clientLeft
     (This : IHTMLControlElement_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLControlElement_Object;

